Part Point: Difference between revisions

From FreeCAD Documentation
mNo edit summary
m (New version.)
Line 22: Line 22:


== Description == <!--T:2-->
== Description == <!--T:2-->

A Point (vertex) geometric primitive.
The [[Image:Part_Point.svg|24px]] [[Part_Point|Part Point]] command creates a point.

FreeCAD creates a point (vertex) geometric primitive, that is positioned at the origin (0,0,0).


==Usage== <!--T:9-->
==Usage== <!--T:9-->
Line 34: Line 37:
# To close the dialog press {{Button|Close}}.
# To close the dialog press {{Button|Close}}.


== Properties ==
===Geometric Primitives=== <!--T:5-->
{|
| [[File:PartVertexPrimitivesOptions_it.png]]
|
Point
====Parameter====
* {{Parameter|X}}
* {{Parameter|Y}}
* {{Parameter|Z}}
====Location====
*
*
*
|}
===Property===
{|
| [[File:PartVertexProperty_it.png|left]]
|
==== View ====


See also: [[Property_editor|Property editor]].
==== Data ==== <!--T:6-->
{{KEY|Base}}
* {{PropertyData|Label}}:
* {{PropertyData|Placement}}: [[Placement|placement]]
* {{PropertyData|X}} :
* {{PropertyData|Y}} :
* {{PropertyData|Z}} :
|}


A Part Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It has no additional properties.
==Notes==

==Properties==

==Limitations==


==Scripting==
==Scripting==


A Part Point can be created with the following function:
A Part Box is created with the {{Incode|addObject()}} method of the document.


</translate>
</translate>
{{Code|code=
{{Code|code=
point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
point = App.ActiveDocument.addObject("Part::Vertex", "myPoint")
}}
}}
<translate>
<translate>


* Where {{Incode|"myPoint"}} is the name for the object.
* Where {{Incode|"myPoint"}} is the name for the object. The name must be unique for the entire document.
* The function returns the newly created object.
* The function returns the newly created object.


The name of the object can be easily changed by
The {{Incode|Label}} is the user editable name for the object. It can be easily changed by


</translate>
</translate>
{{Code|code=
{{Code|code=
point.Label = "new pointName"
point.Label = "new myPointName"
}}
}}
<translate>
<translate>


You can access and modify attributes of the {{Incode|point}} object. For example, you may wish to modify the x, y or z coordinate.
You can access and modify attributes of the {{Incode|box}} object. For example, you may wish to modify the x, y or z-coordinate.


</translate>
</translate>
Line 106: Line 80:
</translate>
</translate>
{{Code|code=
{{Code|code=
point.Placement= FreeCAD.Placement(FreeCAD.Vector(0.00,0.00,0.00),App.Rotation(App.Vector(0.00,0.00,1.00),0.00))
point.Placement= App.Placement(App.Vector(1,2,3), App.Rotation())
}}
}}
<translate>
<translate>






Revision as of 05:39, 20 February 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Point

Menu location
Part → Create primitives → Point
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Point command creates a point.

FreeCAD creates a point (vertex) geometric primitive, that is positioned at the origin (0,0,0).

Usage

  1. There are several ways to invoke the command:
    • Press the Create Primitives... button.
    • Select the Part → Create Primitives → Create Primitives... option from the menu.
    • Select the Point option from the menu.
  2. Set options and press Create.
  3. To close the dialog press Close.

Properties

See also: Property editor.

A Part Point object is derived from a Part Feature object and inherits all its properties. It has no additional properties.

Scripting

A Part Box is created with the addObject() method of the document.

point = App.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

point.Label = "new myPointName"

You can access and modify attributes of the box object. For example, you may wish to modify the x, y or z-coordinate.

point.X = 1
point.Y = 2
point.Z = 3

The result will be a new location of the point with the given coordinates.

You can change its placement and orientation with:

point.Placement= App.Placement(App.Vector(1,2,3), App.Rotation())